commit a9d54ebbbb699f4770ad688c33975873dafa9924
Author: Shipwreckt <conbur@protonmail.com>
Date: Mon, 22 Jan 2024 23:36:08 +0000
Update 2 files
- /fakefetch.sh
- /README.md
Diffstat:
2 files changed, 52 insertions(+), 0 deletions(-)
diff --git a/README.md b/README.md
@@ -0,0 +1,11 @@
+Fakefetch is just a goofie little project I have done.
+
+All you need to do is save the file to wherever you want, customize it to your liking and then boom
+your very own fakefetch
+
+make sure to test before hand with ./fakefetch.sh to make sure all is to your liking
+
+After customizing, you probably want to make it a command you can use, so do the following
+ sudo mv fakefetch.sh /usr/local/bin/
+
+now whenever you put fakefetch.sh it should spawn your customized script, I suggest maybe adding it to your .bashrc so whenever you open a terminal it auto starts
+\ No newline at end of file
diff --git a/fakefetch.sh b/fakefetch.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+# __ _ __ _ _
+# / _| | | / _| | | | |
+# | |_ __ _| | _____| |_ ___| |_ ___| |__
+# | _/ _` | |/ / _ \ _/ _ \ __/ __| '_ \
+# | || (_| | < __/ || __/ || (__| | | |
+# |_| \__,_|_|\_\___|_| \___|\__\___|_| |_|
+
+
+#===========================#
+# Welcome to fakefetch #
+#===========================#
+#This is just neofetch but #
+# You do it yourself ! #
+#===========================#
+
+
+#===========================#
+# colours #
+#===========================#
+
+#Help with colours https://www.ditig.com/publications/256-colors-cheat-sheet
+
+PURPLE='\033[38;5;92m' #replace the 92 with whatever colour you want
+BLUE='\033[38;5;33m'
+YELLOW='\033[38;5;98m'
+RESET='\033[0m'
+
+#===========================#
+
+# This prints whatever you want to be printed
+echo -e "${PURPLE} .--. Connor@comrade${RESET}"
+echo -e "${PURPLE} |o_o | ===============================${RESET}"
+echo -e "${PURPLE} |:_/ | OS → ${YELLOW}Arch Linux x86_64${RESET}"
+echo -e "${PURPLE} // \\ \\ Cpu → ${YELLOW}AMD Ryzen 3 3200G${RESET}"
+echo -e "${PURPLE} (| | ) Gpu → ${YELLOW}NVIDIA GeForce GTX 1650${RESET}"
+echo -e "${PURPLE} /'\\_ _/ \\ Term → ${YELLOW}Alacritty${RESET}"
+echo -e "${PURPLE} \\___)=(___/ ===============================${RESET}"
+\ No newline at end of file